# Created by: William Grzybowski <william88@gmail.com>
# $FreeBSD: head/multimedia/py-subliminal/Makefile 341385 2014-01-27 12:14:09Z koobs $

PORTNAME=	subliminal
PORTVERSION=	0.7.4
CATEGORIES=	multimedia python
MASTER_SITES=	CHEESESHOP
PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

MAINTAINER=	wg@FreeBSD.org
COMMENT=	Python library to search and download subtitles

LICENSE=	LGPL3

RUN_DEPENDS=	${PYTHON_SITELIBDIR}/bs4/__init__.py:${PORTSDIR}/www/py-beautifulsoup \
		${PYTHON_PKGNAMEPREFIX}enzyme>=0.4.0:${PORTSDIR}/multimedia/py-enzyme \
		${PYTHON_PKGNAMEPREFIX}guessit>=0.7:${PORTSDIR}/multimedia/py-guessit \
		${PYTHON_PKGNAMEPREFIX}requests>=2.0.1:${PORTSDIR}/www/py-requests \
		${PYTHON_PKGNAMEPREFIX}html5lib>0.99:${PORTSDIR}/www/py-html5lib \
		${PYTHON_PKGNAMEPREFIX}chardet>=2.2.1:${PORTSDIR}/textproc/py-chardet \
		${PYTHON_PKGNAMEPREFIX}pysrt>=0.5.0:${PORTSDIR}/textproc/py-pysrt \
		${PYTHON_PKGNAMEPREFIX}babelfish>=0.5.1:${PORTSDIR}/devel/py-babelfish \
		${PYTHON_PKGNAMEPREFIX}xdg>=0.25:${PORTSDIR}/devel/py-xdg \
		${PYTHON_PKGNAMEPREFIX}dogpile.cache>=0.5.2:${PORTSDIR}/devel/py-dogpile.cache

USE_PYTHON=	2
USE_PYDISTUTILS=	yes
PYDISTUTILS_AUTOPLIST=	yes

post-patch:
	@${REINPLACE_CMD} "s/.com',/.com', zip_safe=False,/" \
		${WRKSRC}/setup.py
	@${REINPLACE_CMD} \
		-e 's,^requests.*,requests,g' \
		-e 's,^html5lib.*,html5lib,g' \
		${WRKSRC}/requirements.txt

.include <bsd.port.mk>
